Many thanx:)

6920G: it worked for me with hda-verb 0.3 (0.2 was no longer available) on Ubuntu 8.04.1 2.6.24-22 without upgrade of ALSA (don't know what version i have).